
%define debug_package %{nil}
Name:    tezos-baker-PtLimaPt
Version: 16.0rc3
Release: 1
Epoch: 1
Summary: Daemon for baking
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baker-PtLimaPt-16.0rc3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v16.0-rc3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-sapling-params, tezos-client, acl, udev
%description
Daemon for baking
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-baker-PtLimaPt
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-baker-PtLimaPt %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-baker-PtLimaPt %{buildroot}/%{_bindir}/tezos-baker-PtLimaPt



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-ptlimapt.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baker-ptlimapt@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baker-ptlimapt.default %{buildroot}/%{_sysconfdir}/default/tezos-baker-ptlimapt

install -m 0755 tezos-baker-ptlimapt-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-baker-PtLimaPt
%{_bindir}/tezos-baker-PtLimaPt

%{_bindir}/tezos-baker-ptlimapt-start

%{_unitdir}/tezos-baker-ptlimapt.service
%{_unitdir}/tezos-baker-ptlimapt@.service

%{_sysconfdir}/default/tezos-baker-ptlimapt



%post
%systemd_post tezos-baker-ptlimapt.service
%systemd_post tezos-baker-ptlimapt@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-baker-ptlimapt.service
%systemd_preun tezos-baker-ptlimapt@.service


%postun
%systemd_postun_with_restart tezos-baker-ptlimapt.service
%systemd_postun_with_restart tezos-baker-ptlimapt@.service



